Page MenuHomePhabricator

Add possibility to specify output stream for CompilerInstance
ClosedPublic

Authored by krisb on Feb 26 2018, 11:46 PM.

Diff Detail

Repository
rC Clang

Event Timeline

krisb created this revision.Feb 26 2018, 11:46 PM
krisb updated this revision to Diff 136041.Feb 26 2018, 11:53 PM

Reverted unintentional changes.

teemperor requested changes to this revision.Feb 27 2018, 8:45 AM

See the inline comments. Please run clang-format over this patch after addressing them (there are a few indentation issues).

include/clang/Frontend/CompilerInstance.h
779

"Set" -> "set", LLVM code style requires lower case first letters in function names (even though it's sadly may be inconsistent with other code that's still using the other style...)

783

LLVM convention is to call this takeX and not getX when it moves the member OutputStream to the caller. get usually doesn't reset the member variable.

lib/Frontend/CompilerInstance.cpp
65 ↗(On Diff #136041)

Don't think we need that.

This revision now requires changes to proceed.Feb 27 2018, 8:45 AM
krisb updated this revision to Diff 136251.Feb 28 2018, 1:55 AM

@teemperor, thanks! All comments are applied.

krisb updated this revision to Diff 136252.Feb 28 2018, 1:58 AM

Reverted unintentional changes again. Sorry for that

This revision is now accepted and ready to land.Feb 28 2018, 2:00 AM
krisb marked 2 inline comments as done.Feb 28 2018, 2:01 AM
This revision was automatically updated to reflect the committed changes.